Subject: Re: bash problem b17.1 under Windows NT 4/NTFS
From: [email-masked] (Mark Levine)

15 Mar 1997 11:10:46 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
X-Sender: [email-masked]
X-Mailer: Windows Eudora Light Version 1.5.4 (32)
Original-To: Jim Balter <[email-masked]>
Original-Cc: [email-masked]
Original-Sender: [email-masked]

At 19:50 97/03/14 -0800, you wrote:
>Mark Levine wrote:
>> 
>> I am running b17.1 under Windows NT 4.0.
>> 
>> The following command sequence when run under bash fails when running on an
>> NTFS file system:
>> 
>>         % cat >foo <<EOF
>>         > aaa
>>         > bbb
>>         > EOF
>>         bash.exe: 49069028: No such file or directory
>> 
>> The file foo is created but it is empty, the number in the error messages
>> sometimes is different, last few digits change.
>> 
>> The above works fine on a FAT file system partition.
>> 
>> As a result of this problem I can not build any of the GNU software from
>> source because the configure script will fail because of this problem.
>
...snip
>
>
>In other words, mkdir /tmp
>
>

I did have a /tmp mounted to G:\TEMP, / is mounted to F:\Cygnus, /usr is
mounted to F:\Cygnus\H-i386-cygwin32.  I also have a C partition (FAT), and
a D, E, F, G, T are all NTFS.  I had the above problem on the G partition
where I was trying to build some source, in a subdirectory under /tmp.
After much experimentation I remounted /tmp on my T partition and the
problem went away.  I am not sure why.

************************************************************************
*                                                                      *
*                     Visit Our Web Page at:                           *
*               http://www.tiac.net/users/dynasens                     *
*                                                                      *
*----------------------------------------------------------------------*
*                               |                                      *
* Mark Levine                   | EMAIL: [email-masked]             *
* DynaSense Consulting Services |                                      *
* Framingham, MA 01701          |                                      *
*                               |                                      *
************************************************************************

-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".